Solid Edge Part Type Library
Save Method
Description
Saves the referenced object.
Syntax
Visual Basic
Public Sub Save() 
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objSummaryInfo As SolidEdgeFramework.SummaryInfo
    Dim sSaveDate As String
    Dim sDate As String
    Dim sTime1 As String
    Dim sTime2 As String
    Const TESTFILE = "T:\vbtests\TestCases\test.par"
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    ' adding a new reference plane
    Call objDoc.RefPlanes.AddParallelByDistance(parentplane:=objDoc.RefPlanes(1), distance:=0.01, normalside:=igRight)
    ' saving the document to temp directory
    Call objDoc.SaveAs(newname:=TESTFILE)
    sTime1 = Str(Time)
    ' saving the test case file
    Call objDoc.Windows(1).View.Fit
    Call objDoc.Save
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objSummaryInfo = Nothing
End Sub
See Also

PartDocument Object  | PartDocument Members